<?php
/**
 * Multi-layer Gradient initialization.
 *
 * @package designer-powerup-for-elementor\powerups\gradient
 */

// Controls.
require_once EDP_PLUGIN_PATH . 'powerups/gradient/controls.php';

// Frontend Render.
require_once EDP_PLUGIN_PATH . 'powerups/gradient/render.php';

// JS Render.
add_action(
	'elementor/editor/after_enqueue_scripts',
	function() {

		wp_enqueue_script(
			'edp-gradient-render',
			EDP_PLUGIN_URL . 'powerups/gradient/render.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
			[ 'jquery' ],
			Designer_Powerup_For_Elementor::VERSION
		);

	}
);
