<?php
/**
 * Multi-Layered Shadow Initialization.
 *
 * @package designer-powerup-for-elementor\powerups\shadow
 */

// Controls.
require_once EDP_PLUGIN_PATH . 'powerups/shadow/controls.php';

// PHP Render.
require_once EDP_PLUGIN_PATH . 'powerups/shadow/render.php';

// JS Render.
add_action(
	'elementor/editor/after_enqueue_scripts',
	function() {

		wp_enqueue_script(
			'edp-shadow-render',
			EDP_PLUGIN_URL . 'powerups/shadow/render.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
			[ 'jquery' ],
			Designer_Powerup_For_Elementor::VERSION
		);

	}
);


