<?php

/**
 * Flex Wrap Initialization.
 *
 * @package designer-powerup-for-elementor/utils/flex-wrap
 */

require_once EDP_PLUGIN_PATH . 'utils/flex-wrap/controls.php';

add_action(
	'elementor/editor/after_enqueue_scripts',
	function () {

	    wp_register_script(
	    	'edp-flex-wrap-editor',
	    	EDP_PLUGIN_URL . 'utils/flex-wrap/editor.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
	    	['elementor-editor'],
	    	Designer_Powerup_For_Elementor::VERSION,
	    	true
	    );

	    wp_enqueue_script('edp-flex-wrap-editor');
    }
);
