<?php

use \Elementor\Controls_Stack;

/**
 * Setting column width max limit to 100% on desktop
 */
add_action( 'elementor/element/column/layout/before_section_end', function( $control_stack ) {

	// column width.
	$control_stack->update_responsive_control(
		'_inline_size',
		[
			'max'		=> 100,
		]
	);

}, 11);
