<?php

/**
 * Helper files and functions
 *
 * @package designer-powerup-for-elementor\helpers
 */

// Custom helper controls
require_once EDP_PLUGIN_PATH . 'helpers/controls.php';

// Elementor Editor files.
add_action(
	'elementor/editor/after_enqueue_scripts',
	function() {

		wp_register_script(
			'edp-editor-helper',
			EDP_PLUGIN_URL . 'helpers/editor.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
			[ 'jquery' ],
			Designer_Powerup_For_Elementor::VERSION
		);

		wp_enqueue_script( 'edp-editor-helper' );

		wp_enqueue_style(
			'edp-editor-helper',
			EDP_PLUGIN_URL . 'helpers/editor.min.css',
			[ 'elementor-editor' ],
			Designer_Powerup_For_Elementor::VERSION
		);

	}
);
