<?php

/**
 * Quick Spacer Initialization.
 *
 * @package designer-powerup-for-elementor/powerups/spacer
 */

require_once EDP_PLUGIN_PATH . 'powerups/spacer/controls.php';

add_action(
	'elementor/editor/after_enqueue_scripts',
	function () {

		wp_register_script(
			'edp-spacer-editor',
			EDP_PLUGIN_URL . 'powerups/spacer/editor.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
			['elementor-editor'],
			Designer_Powerup_For_Elementor::VERSION,
			true
		);

		wp_enqueue_script('edp-spacer-editor');
	}
);

add_action(
	'elementor/preview/enqueue_styles',
	function () {
		wp_enqueue_style(
			'edp-spacer',
			EDP_PLUGIN_URL . 'powerups/spacer/preview.min.css',
			[],
			Designer_Powerup_For_Elementor::VERSION
		);
	}
);
