<?php
/**
 * Quick Spacer Initialization.
 *
 * @package designer-powerup-for-elementor/utils/column-count-ext
 */

add_action(
	'elementor/editor/after_enqueue_scripts',
	function() {

		wp_register_script(
			'edp-column-count-ext-editor',
			EDP_PLUGIN_URL . 'utils/column-count-ext/editor.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
			[ 'elementor-editor' ],
			Designer_Powerup_For_Elementor::VERSION,
			true
		);

		wp_enqueue_script( 'edp-column-count-ext-editor' );

	}
);
