<?php

use \Elementor\Controls_Manager;

add_action(
	'elementor/element/editor-preferences/preferences/before_section_end',
	function( $stack ) {

		$stack->add_control(
			'edp_input_nudge_jump',
			[
				'label'       => __( 'Input Nudge Jump', 'designer-powerup-for-elementor' ),
				'description' => __( 'Jumps by the set number when \'Shift\' key is pressed with up/down arrows in a number field.', 'designer-powerup-for-elementor' ),
				'type'        => Controls_Manager::NUMBER,
				'min'         => 2,
				'max'         => 50,
				'step'        => 1,
				'default'     => 10,
			]
		);

	},
	10, 2
);
